Bug 1558679 - Introspection of Diskless servers (iSCSI Booted)
Summary: Introspection of Diskless servers (iSCSI Booted)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-image-elements
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: Yolanda Robla
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On: 1481806
Blocks: 1335596 1481831
TreeView+ depends on / blocked
 
Reported: 2018-03-20 18:52 UTC by Irina Petrova
Modified: 2018-08-20 13:00 UTC (History)
14 users (show)

Fixed In Version: openstack-tripleo-image-elements-7.0.5-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1481806
Environment:
Last Closed: 2018-08-20 12:59:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:00:57 UTC
OpenStack gerrit 508068 None None None 2018-03-20 18:52:08 UTC

Comment 2 Irina Petrova 2018-03-20 18:53:52 UTC
Clone of BZ 1481806 as per c#15:
https://bugzilla.redhat.com/show_bug.cgi?id=1481806#c15

Upstream Pike patch:
https://review.openstack.org/#/c/508068/2

Comment 4 mlammon 2018-07-16 21:28:55 UTC
Installed osp 12 latest which is 123z

Environment:
openstack-tripleo-image-elements-7.0.5-1.el7ost.noarch

Verified code is present in this release since we cannot test with hardware.
Verified file deleted

cat /usr/share/tripleo-image-elements/ironic-agent-multipath/element-deps
install-static
package-installs
select-boot-kernel-initrd

cat /usr/share/tripleo-image-elements/ironic-agent-multipath/static/etc/modules-load.d/iscsi.conf
qla4xxx
cxgb3i
cxgb4i
bnx2i
be2iscsi
iscsi_boot_sysfs
iscsi_ibft
iscsi_tcp
target_core_mod

cat /usr/share/tripleo-image-elements/ironic-agent-multipath/README.rst
======================
ironic-agent-multipath
======================
Updates the ironic agent, installing multipath and
iscsi package, and enabling needed modules by default,
to execute a modprobe for the needed drivers before it is started.


Please re-open if issue still exists.

Comment 7 errata-xmlrpc 2018-08-20 12:59:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.